Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.metadata
Class ResourceRefMetaData

    java.lang.Object
      |
      +--org.jboss.metadata.MetaData
            |
            +--org.jboss.metadata.ResourceRefMetaData

All Implemented Interfaces:
  XmlLoadable

public class ResourceRefMetaData
extends MetaData

The meta data information for a resource-ref element. The resource-ref element contains a declaration of enterprise bean’s reference to an external resource. It consists of an optional description, the resource manager connection factory reference name, the indication of the resource manager connection factory type expected by the enterprise bean code, the type of authentication (Application or Container), and an optional specification of the shareability of connections obtained from the resource (Shareable or Unshareable). Used in: entity, message-driven, and session

Version:
  $Revision: 1.5.4.2 $
Author:
  Sebastien Alborini, Scott.Stark@jboss.org

Fields inherited from class org.jboss.metadata.MetaData
`TX_MANDATORY, TX_NEVER, TX_NOT_SUPPORTED, TX_REQUIRED, TX_REQUIRES_NEW, TX_SUPPORTS, TX_UNKNOWN`

Constructor Summary
`ResourceRefMetaData()`

Method Summary
`java.lang.String` | `getJndiName()`
`java.lang.String` | `getRefName()`
`java.lang.String` | `getResourceName()`
`java.lang.String` | `getType()`
`void` | `importEjbJarXml(org.w3c.dom.Element element)`
`void` | `importJbossXml(org.w3c.dom.Element element)`
`boolean` | `isContainerAuth()`
`boolean` | `isShareable()`
`void` | `setResourceName(java.lang.String resName)`

Methods inherited from class org.jboss.metadata.MetaData
`getChildrenByTagName, getElementContent, getElementContent, getOptionalChild, getOptionalChild, getUniqueChild, importXml, jdk13Enabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceRefMetaData

    public ResourceRefMetaData()

Method Detail

### getRefName

    public java.lang.String getRefName()

### getResourceName

    public java.lang.String getResourceName()

### setResourceName

    public void setResourceName(java.lang.String resName)

### getJndiName

    public java.lang.String getJndiName()

### getType

    public java.lang.String getType()

### isContainerAuth

    public boolean isContainerAuth()

### isShareable

    public boolean isShareable()

### importEjbJarXml

    public void importEjbJarXml(org.w3c.dom.Element element)
                         throws DeploymentException

  Overrides:
    `importEjbJarXml` in class `MetaData`

### importJbossXml

    public void importJbossXml(org.w3c.dom.Element element)
                        throws DeploymentException

  Overrides:
    `importJbossXml` in class `MetaData`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.